Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.mina
Class MinaTaskClientConnector

    java.lang.Object
      org.jbpm.task.service.mina.MinaTaskClientConnector

All Implemented Interfaces:
  TaskClientConnector

    public class MinaTaskClientConnector

extends Object
implements TaskClientConnector

Field Summary
`protected SocketAddress` | `address`
`protected org.apache.mina.transport.socket.SocketConnector` | `connector`
`protected AtomicInteger` | `counter`
`protected BaseMinaHandler` | `handler`
`protected String` | `name`
`protected org.apache.mina.core.session.IoSession` | `session`

Constructor Summary
`MinaTaskClientConnector(String name, BaseMinaHandler handler)`

Method Summary
`boolean` | `connect()`
`boolean` | `connect(org.apache.mina.transport.socket.SocketConnector connector, SocketAddress address)`
`boolean` | `connect(String address, int port)`
`void` | `disconnect()`
`AtomicInteger` | `getCounter()`
`BaseHandler` | `getHandler()`
`String` | `getName()`
`void` | `write(Object message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected org.apache.mina.core.session.IoSession session

### handler

    protected final BaseMinaHandler handler

### name

    protected final String name

### counter

    protected AtomicInteger counter

### connector

    protected org.apache.mina.transport.socket.SocketConnector connector

### address

    protected SocketAddress address

Constructor Detail

### MinaTaskClientConnector

    public MinaTaskClientConnector(String name,
                                   BaseMinaHandler handler)

Method Detail

### connect

    public boolean connect(org.apache.mina.transport.socket.SocketConnector connector,
                           SocketAddress address)

### connect

    public boolean connect(String address,
                           int port)

  Specified by:
    `connect` in interface `TaskClientConnector`

### connect

    public boolean connect()

  Specified by:
    `connect` in interface `TaskClientConnector`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in interface `TaskClientConnector`

### write

    public void write(Object message)

  Specified by:
    `write` in interface `TaskClientConnector`

### getHandler

    public BaseHandler getHandler()

  Specified by:
    `getHandler` in interface `TaskClientConnector`

### getName

    public String getName()

  Specified by:
    `getName` in interface `TaskClientConnector`

### getCounter

    public AtomicInteger getCounter()

  Specified by:
    `getCounter` in interface `TaskClientConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.